package com.zjty.tynotes.job.basic.repository;

import com.zjty.tynotes.job.basic.entity.database.ScoreCoefficient;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ScoreCoefficientRepository extends MongoRepository<ScoreCoefficient, String> {
  ScoreCoefficient findByWordId(String workId);

  List<ScoreCoefficient> findAllByGroupLeaderScore2IsNullOrDirectorScore2IsNull();

  List<ScoreCoefficient> findAllByGroupLeaderScore2IsNotNullAndDirectorScore2IsNotNullAndViceScore3IsNull();

  List<ScoreCoefficient> findAllByViceScore3IsNotNullAndJustScore4IsNull();

}
